Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047171
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-17 10:412021-07-03 11:30
ReporterjmelinView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047171: JIRA 2091 - Disable initial count at opening of the till when no payment configured to be counted

DescriptionIf no payment are configured to be counted at initial count of the till/safebox, then skip initial count window (safebox selection must remain mandatory if configured)
Steps To Reproduce1. Connect to POS
2. Select a safebox

=> if no payment configured to be initially counted then skip the process to count at opening
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047208TAP closedAugustoMauch JIRA 2091 - Disable initial count at opening of the till when no payment configured to be counted 

-  Notes
(0129954)
hgbot (developer)
2021-06-29 16:28

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/584 [^]
(0129955)
hgbot (developer)
2021-06-29 16:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/579 [^]
(0130066)
hgbot (developer)
2021-07-01 14:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/579 [^]
(0130118)
hgbot (developer)
2021-07-03 11:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/584 [^]
(0130119)
hgbot (developer)
2021-07-03 11:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: b973cce77df9e9579890df16eb40e5bacfecf0db
Author: Angel Eduardo <angel.gonzalez@smfconsulting.com>
Date: 2021-07-03T11:28:38+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/b973cce77df9e9579890df16eb40e5bacfecf0db [^]

Fixes ISSUE-47171: Avoid showing count step on initial count when there are no payment methods that needs to be initially counted

---
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/SelectDrawerStep/SelectDrawerStep.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/SelectDrawerStep/__test__/SelectDrawerStep.test.jsx
M web-jspack/org.openbravo.pos2/src/components/InitialCountWindow/InitialCountWindow.jsx
M web-jspack/org.openbravo.pos2/src/components/InitialCountWindow/__test__/InitialCountWindow.test.jsx
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/cashup/SelectSafeboxToCount.js
---

- Issue History
Date Modified Username Field Change
2021-06-17 10:41 jmelin New Issue
2021-06-17 10:41 jmelin Assigned To => Retail
2021-06-17 10:41 jmelin Triggers an Emergency Pack => No
2021-06-17 17:49 dmiguelez Status new => acknowledged
2021-06-22 19:34 guilleaer Type feature request => defect
2021-06-22 19:36 guilleaer Status acknowledged => scheduled
2021-06-22 19:36 guilleaer Status scheduled => acknowledged
2021-06-24 13:07 dmiguelez Status acknowledged => scheduled
2021-06-24 13:07 dmiguelez Assigned To Retail => marvintm
2021-06-24 17:47 dmiguelez Assigned To marvintm => AugustoMauch
2021-06-29 16:28 hgbot Note Added: 0129954
2021-06-29 16:31 hgbot Note Added: 0129955
2021-07-01 14:14 hgbot Note Added: 0130066
2021-07-03 11:30 hgbot Note Added: 0130118
2021-07-03 11:30 hgbot Resolution open => fixed
2021-07-03 11:30 hgbot Status scheduled => closed
2021-07-03 11:30 hgbot Note Added: 0130119


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker